# Class DataFrameSnp

java.lang.Object
org.snpsift.annotate.mem.dataFrame.DataFrame
org.snpsift.annotate.mem.dataFrame.DataFrameSnp

All Implemented Interfaces:
  `Serializable`

public class DataFrameSnp extends DataFrame
The DataFrameSnp class extends the DataFrame class and represents a specific type of data frame that deals with single nucleotide polymorphisms (SNPs). Each instance of DataFrameSnp is associated with a specific alternative allele ('A', 'C', 'G', or 'T') based on the provided variant category. This class provides methods to retrieve the alternative allele and to check if a given entry matches specific position and allele values. Limitations: - The class assumes that the variant category provided during instantiation is one of the SNP categories (SNP_A, SNP_C, SNP_G, SNP_T). If an invalid category is provided, a RuntimeException is thrown. - The eq method assumes that the alternative allele (alt) is always in uppercase. If the provided alt parameter in the eq method is not in uppercase, a RuntimeException is thrown.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DataFrame

`MAX_ROWS_TO_SHOW`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameSnp(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`eq(int idx, int pos, String ref, String alt)`
Does the entry at possition 'idx' match the given (pos, ref, alt) values?
`String`
`getAlt()`

### Methods inherited from class DataFrame

`add, check, columnNames, createColumn, createColumns, find, get, getColumn, getRow, hasEntry, resize, set, sizeBytes, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameSnp

public DataFrameSnp(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)

## Method Details

### getAlt

public String getAlt()

### eq

protected boolean eq(int idx, int pos, String ref, String alt)
Does the entry at possition 'idx' match the given (pos, ref, alt) values?

Overrides:
  `eq` in class `DataFrame`